/*
 * ADXF Library
 * 
 *   Copyright (C) 2016, Jonathan Sevy <jsevy@cs.drexel.edu>
 *   
 *   Permission is hereby granted, free of charge, to any person obtaining a copy
 *   of this software and associated documentation files (the "Software"), to deal
 *   in the Software without restriction, including without limitation the rights
 *   to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 *   copies of the Software, and to permit persons to whom the Software is
 *   furnished to do so, subject to the following conditions:
 *   
 *   The above copyright notice and this permission notice shall be included in all
 *   copies or substantial portions of the Software.
 *   
 *   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 *   IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 *   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 *   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 *   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 *   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 *   SOFTWARE.
 * 
 */

package com.jsevy.adxftest;


//import android.support.v7.app.ActionBarActivity;

import android.app.Activity;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

import com.jsevy.adxftest.R;


public class DXFTest extends Activity implements View.OnClickListener
{
    
    private DXFTestView graphicsView;
	
    private Button testGraphicsButton;
    private Button testTextButton;
    private Button testDrawVerticesStripButton;
	private Button testDrawVerticeFanButton;
	private Button testDrawVerticesTraingleButton;
	private Button testBitmapMeshButton;
	private Button testTransformationsGraphicsButton;
	private Button testTransformationsTextButton;

	private Button testImagesButton;
    
    
    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        graphicsView = (DXFTestView)this.findViewById(R.id.graphicsView);
        
        testGraphicsButton = (Button)this.findViewById(R.id.testGraphicsButton);
        testGraphicsButton.setOnClickListener(this);
        
        testTextButton = (Button)this.findViewById(R.id.testTextButton);
        testTextButton.setOnClickListener(this);
        
        testTransformationsTextButton = (Button)this.findViewById(R.id.testTransformationsTextButton);
        testTransformationsTextButton.setOnClickListener(this);
        
        testTransformationsGraphicsButton = (Button)this.findViewById(R.id.testTransformationsGraphicsButton);
        testTransformationsGraphicsButton.setOnClickListener(this);
        
        testImagesButton = (Button)this.findViewById(R.id.testImagesButton);
        testImagesButton.setOnClickListener(this);
        
        testBitmapMeshButton = (Button)this.findViewById(R.id.testBitmapMeshButton);
        testBitmapMeshButton.setOnClickListener(this);
        
        testDrawVerticesTraingleButton = (Button)this.findViewById(R.id.testDrawVerticesTraingleButton);
        testDrawVerticesTraingleButton.setOnClickListener(this);
        
        testDrawVerticeFanButton = (Button)this.findViewById(R.id.testDrawVerticeFanButton);
        testDrawVerticeFanButton.setOnClickListener(this);
        
        testDrawVerticesStripButton = (Button)this.findViewById(R.id.testDrawVerticesStripButton);
        testDrawVerticesStripButton.setOnClickListener(this);
        
        
    }
    
    
    
    @Override
    public boolean onCreateOptionsMenu(Menu menu)
    {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.main, menu);
        return true;
    }
    
    
    
    @Override
    public boolean onOptionsItemSelected(MenuItem item)
    {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();
        if (id == R.id.generateDXFItem)
        {
            return true;
        }
        
        return super.onOptionsItemSelected(item);
    }
    
    public void onClick(View view)
    {
        // set the stuff to draw
        graphicsView.setDisplayContent(view.getId());
        
    	// first draw on screen...
        graphicsView.invalidate();
        
        // ...then draw into PDF doc
        graphicsView.generatePDF();
    }
    
    
    
    
    
    
}
